#
# spec file for package xfce4-panel-plugin-whiskermenu
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfce4-panel-plugin-whiskermenu
Version:        2.1.5
Release:        lp150.1.5
Summary:        Alternate Xfce Menu
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://gottcode.org/xfce4-whiskermenu-plugin/
Source0:        http://archive.xfce.org/src/panel-plugins/xfce4-whiskermenu-plugin/2.1/xfce4-whiskermenu-plugin-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(exo-2) >= 0.11
BuildRequires:  pkgconfig(garcon-1)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12
BuildRequires:  pkgconfig(libxfce4panel-2.0) >= 4.11
BuildRequires:  pkgconfig(libxfce4ui-2) >= 4.11
BuildRequires:  pkgconfig(libxfce4util-1.0) >= 4.11
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Whisker Menu is an alternate application launcher for Xfce. When you
open it you are shown a list of applications you have marked as
favorites. You can browse through all of your installed applications by
clicking on the category buttons on the side. Top level categories make
browsing fast, and simple to switch between. Additionally, Whisker Menu
keeps a list of the last ten applications that you’ve launched from it.

%lang_package

%prep
%setup -q -n xfce4-whiskermenu-plugin-%{version}

%build
%cmake
make %{?_smp_mflags} VERBOSE=1

%install
%cmake_install
%find_lang xfce4-whiskermenu-plugin %{?no_lang_C}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/xfce4-popup-whiskermenu
%{_libdir}/xfce4/panel/plugins/libwhiskermenu.so
%{_datadir}/icons/hicolor/*/*/xfce4-whiskermenu.*
%{_datadir}/xfce4/panel/plugins/whiskermenu.desktop
%{_mandir}/man?/xfce4-popup-whiskermenu.*

%files lang -f xfce4-whiskermenu-plugin.lang

%changelog
* Sat Dec 30 2017 seife+obs@b1-systems.com
- update to 2.1.5:
  - Fix class/struct typo. (bxo#14001)
  - Translation updates
* Fri Nov 17 2017 seife+obs@b1-systems.com
- update to 2.1.4:
  - Fix excessive padding on panel button. (bxo#13611)
  - Fix blurry category buttons with high DPI.
  - Fix blurry profile picture with high DPI.
  - Fix panel icon too big with high DPI. (bxo#13893)
  - Translation updates
* Sat Aug 19 2017 seife+obs@b1-systems.com
- update to 2.1.3:
  - Fixed desktop action incorrectly parsing escaped k
  - Translation updates
* Wed Apr 19 2017 seife+obs@b1-systems.com
- update to 2.1.2:
  - Fixed category names checkbox incorrectly enabled when opening
    dialog
  - Fixed category names turning off at login. (bug #13422)
  - Fixed memory leak when editing launcher (2.1.1)
  - Translation updates
* Mon Feb 27 2017 seife+obs@b1-systems.com
- update to 2.1.0:
  - Add editing launchers from context menu (bxo#13290)
  - Add support for desktop actions (bxo#11787)
  - Add option to hide category names (bxo#12895)
  - Load applications immediately
  - Translation updates
* Sun Dec 25 2016 seife+obs@b1-systems.com
- update to 2.0.3:
  - translation updates
* Sat Nov 26 2016 seife+obs@b1-systems.com
- update to 2.0.2:
  - port to GTK3
* Tue Oct 25 2016 lazy.kent@opensuse.org
- Update to 1.6.1.
  * Translation updates: Asturian, Basque, Catalan (Valencian),
    Chinese (China), Kazakh, Lithuanian, Polish, Russian, Turkish,
    Ukrainian.
* Wed Aug 31 2016 lazy.kent@opensuse.org
- Update to 1.6.0.
  * Add keyboard navigation for categories.
  * Add tooltips for program descriptions.
  * Add web search action.
  * Hide recent items when maximum is set to zero.
  * Prevent memory leak when changing element text.
  * Search favorites and recent first.
  * Switch to icon names from GtkStock.
  * Translation updates: Bulgarian, Catalan, Chinese (Taiwan),
    Czech, Dutch, German, French, Hebrew, Hungarian, Lithuanian,
    Polish, Slovak, Slovenian, Serbian, Spanish.
* Sun Apr 17 2016 lazy.kent@opensuse.org
- Update to 1.5.3.
  * Fix stuck button highlight.
  * Fix losing categories.
  * Fix warning about infinite recursion.
  * Translation updates: Basque, Dutch, Hebrew, Icelandic.
* Fri Jan  1 2016 lazy.kent@opensuse.org
- Update to 1.5.2.
  * Fix modifier keys resetting focus to search entry.
  * Fix limited input length for search actions.
  * Fix menu shrinking unnecessarily.
  * Fix minimum window size.
  * Translation updates: Chinese (China), Hungarian, Korean,
    Lithuanian, Romanian.
- Correct the source URL.
- No more the ChangeLog file in the source (removed from %%doc).
* Thu Oct  1 2015 lazy.kent@opensuse.org
- Update to 1.5.1.
  * Fix window being draggable.
  * Fix not searching descriptions.
  * Translation updates: Asturian, Bulgarian, Chinese
    (China), Chinese (Taiwan), Croatian, Czech, Danish, Dutch,
    French, Finnish,German, Indonesian, Japanese, Kazakh,
    Lithuanian, Malay, Nepali, Norwegian Bokmål, Persian, Polish,
    Portuguese, Russian, Serbian, Slovak, Slovenian, Spanish,
    Swedish, Turkish.
* Sat Feb 21 2015 lazy.kent@opensuse.org
- Update to 1.5.0.
  * Fix search activation to allow input methods.
  * Fix broken menu when closed by window manager.
  * Fix unnecessary assignment to NULL.
  * Fix possible null pointer dereference.
  * Add option to set background opacity.
  * Add command to edit profile.
  * Add profile picture.
  * Add customizable limit for recently used.
  * Add support for non-square panel button icon.
  * Add items of Xfce settings manager to allow searching.
  * Expand subcategories when activated.
  * Load default settings from XDG location.
  * Make launchers executable when they are added to desktop.
  * Rearrange options in configuration dialog.
  * Refactor list page code.
  * Rename option for including favorites in recently used.
  * Rename option to use single panel row.
  * Rename button to match default menu applet.
  * Use a single instance of the garcon menu.
  * Translation updates: Bulgarian, Catalan, Dutch, French, German,
    Hebrew, Italian, Japanese, Lithuanian, Polish, Portuguese,
    Slovak, Slovenian, Spanish, Swedish, Turkish, Chinese (Taiwan).
* Sat Feb 14 2015 lazy.kent@opensuse.org
- Update to 1.4.3.
  * Fix hang at launch by removing load thread.
  * Fix not saving sorted favorites.
  * Translation updates: French, Hungarian, Russian, Slovak.
- Use %%cmake and %%cmake_install macros.
* Thu Jan  1 2015 lazy.kent@opensuse.org
- Update to 1.4.2.
  * Fix panel button border not shown when pressed.
  * Fix commands were editable when disabled.
  * Fix incorrectly disabled checkbox for commands position.
  * Fix commands next to search when not next to panel button.
  * Translation updates: French, Hebrew, Serbian.
* Mon Dec  8 2014 lazy.kent@opensuse.org
- Update to 1.4.1.
  * Fix crash with invalid utf8 encoding.
  * Fix not searching descriptions unless shown.
  * Fix not using secure connection to Wikipedia.
  * Translation updates: Asturian, Basque, Dutch, Finnish, French,
    Greek, Indonesian, Kazakh, Lithuanian, Nepali, Persian, Polish,
    Romanian, Spanish, Swedish, Turkish, Ukrainian, Uzbek.
* Mon Jun 30 2014 lazy.kent@opensuse.org
- Update to 1.4.0.
  * Add option to switch position of categories and launchers.
  * Add waiting for grabs.
  * Allows modifier as shortcut.
  * Add padding to username.
  * Add single panel row option.
  * Add about entry to context menu.
  * Load applications immediately.
  * Recognize keypad enter as return for searching.
  * Set menu window type hint to DIALOG.
  * Translation updates: Bulgarian, Catalan, Chinese (Taiwan),
    Czech, Dutch, French, German, Hebrew, Italian, Japanese, Malay,
    Norwegian Bokmål, Polish, Portuguese, Russian, Slovak, Spanish,
    Swedish.
* Tue Mar 18 2014 lazy.kent@opensuse.org
- Update to 1.3.2.
  * Fix crash when rearranging favorites.
  * Fix menu flashing when panel button is pressed rapidly.
  * Fix unable to click command buttons when focus follows mouse.
  * Fix panel button icon alignment in deskbar mode.
  * Translation updates: Arabic, Asturian, Chinese (Taiwan),
    Croatian, Czech, Danish, Finnish, Latvian, Nepali, Norwegian
    Bokmål, Portuguese (Brazil), Slovenian, Vietnamese.
- Drop
  xfce4-whiskermenu-plugin-1.3.1-fix_crash_while_dragging.patch
  (fixed upstream).
* Sun Mar 16 2014 lazy.kent@opensuse.org
- Add
  xfce4-whiskermenu-plugin-1.3.1-fix_crash_while_dragging.patch:
  fixed crash when accessing null launcher in assert
  (gh#gottcode/xfce4-whiskermenu-plugin/issues/#77).
* Mon Jan  6 2014 lazy.kent@opensuse.org
- Update to 1.3.1.
  * Fix crash when menu items are changed.
  * Fixes to the button layout.
  * Translation updates: German, French, Nepali, Polish, Spanish,
    Uzbek, Vietnamese.
* Mon Dec 30 2013 lazy.kent@opensuse.org
- Update to 1.3.0.
  * Fix menu artifacts when switching categories.
  * Fix undefined behavior in slots.
  * Add command to launch menu editor.
  * Add command to switch users.
  * Add hiding commands.
  * Add browsing for commands.
  * Add hiding category and launcher icons.
  * Add loading default settings from a file.
  * Add search actions.
  * Add running arbitrary programs in PATH.
  * Add dragging launchers to panel or desktop.
  * Add support for custom menu files.
  * Defer loading applications until window is shown.
  * Merge configuration dialog tabs.
  * Rearrange source files to match standard layout of Xfce
    plugins.
  * Reduce unnecessary reloading of applications.
  * Rewrite search model code.
  * Use a single row in Xfce 4.10 panel.
  * Use empty file for saving settings.
  * Translation updates: Asturian, Brazilian Portuguese, Bulgarian,
    Catalan, Chinese (Taiwan), Dutch, German, Hebrew, Hungarian,
    Italian, Japanese, Kazakh, Nepali, Norwegian Bokmål, Persian,
    Polish, Portuguese, Romanian, Russian, Serbian,
    Serbian (Latin), Slovak, Spanish, Turkish, Ukrainian.
* Wed Dec  4 2013 lazy.kent@opensuse.org
- Update to 1.2.2.
  * Fix incorrect fetching of panel orientation in Xfce 4.10.
  * Fix menu item icons colored by selection background.
  * Fix unable to set custom commands with parameters.
  * Translation updates: Arabic, German, Spanish, Ukrainian.
* Wed Nov 20 2013 lazy.kent@opensuse.org
- Update to 1.2.1.
  * Fix incorrect comparison for checking icon sizes.
  * Add window title to allow identifying menu window.
  * Add tips to README for popup script and compiz workaround.
  * Improve build system files.
  * Translation updates: Asturian, Catalan, Chinese (Taiwan),
    Czech, German, Estonian, French, Hungarian, Indonesian,
    Persian, Russian, Spanish, Turkish.
* Wed Oct 30 2013 lazy.kent@opensuse.org
- Update to 1.2.0.
  * Fix popup script to show correct version information.
  * Fix memory leak when reloading applications.
  * Fix favorites and recent deleted when menu failed to load.
  * Add option to load menu hierarchy.
  * Add option to not include favorites in recently used.
  * Add options to set custom commands.
  * Add option to show recently used by default.
  * Add option to position search entry next to panel button.
  * Add option to position command buttons next to search entry.
  * Add manual page for popup script.
  * Use tabs for configuration dialog layout.
  * Translation updates: Brazilian Portuguese, Bulgarian, Catalan,
    Croatian, Danish, Dutch, Finnish, French, German, Greek,
    Hebrew, Italian, Japanese, Norwegian Bokmål, Polish,
    Portuguese, Romanian, Russian, Serbian (Latin), Slovak,
    Spanish.
* Fri Aug  9 2013 lazy.kent@opensuse.org
- Update to 1.1.1.
  * Add name to main widget to allow styling.
  * Build system improvements.
  * Translation updates: Arabic, Catalan, French, Indonesian,
    Japanese, Russian, Spanish.
- Drop xfce4-whiskermenu-plugin-1.1.0-russian.patch (fixed
  upstream).
* Wed Jul 31 2013 lazy.kent@opensuse.org
- Add xfce4-whiskermenu-plugin-1.1.0-russian.patch: update Russian
  translation (submitted to Transifex).
* Thu Jul 25 2013 lazy.kent@opensuse.org
- Update to 1.1.0.
  * Fix hang at launch when there are too many recent items.
  * Fix focus selection not properly reset when switching
    categories.
  * Fix menu not hiding when configuration dialog is clicked.
  * Fix context menu disabling detection of clicks outside menu.
  * Fix filter applied when button is deselected.
  * Fix not showing items with duplicate text.
  * Add external command to popup menu.
  * Add option to show label with or instead of icon.
  * Add option to switch categories by hovering.
  * Add choosing icon sizes of launchers and categories.
  * Add scrolling to sidebar.
  * Add menu action to clear recently used.
  * Add menu actions to sort favorites alphabetically.
  * Add icons to context menu.
  * New search algorithm.
  * Refactor category code.
  * Show launcher name in context menu.
  * Build system improvements.
  * Reduce C++ version.
  * Translation updates: Brazilian Portuguese, Bulgarian, Danish,
    Dutch, German, Greek, Hebrew, Kazakh, Hungarian, Indonesian,
    Italian, Norwegian Bokmål, Polish, Portuguese, Romanian,
    Slovak, Swedish, Turkish, Vietnamese.
* Mon Jul 15 2013 lazy.kent@opensuse.org
- Initial package created - 1.0.3.
